<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:TalendProperties="http://www.talend.org/properties" xmlns:dataquality.properties="http://dataquality.properties">
  <TalendProperties:Property xmi:id="_wpUAYW_8Ee2zxv-8u0MlEA" id="_wpUAYG_8Ee2zxv-8u0MlEA" label="Phone_Number" purpose="1234567 ||| 12345678 ||| (555) 987-6543 ext 210 ||| 999-666-7777-x1967123456 ||| 555-123" description="Very flexible phone number entry. -- There are many valid ways to enter a phone number, and often there is other data that a restrictive Regex pattern will not abide. -- This pattern accepts any number of letters, commas, pound signs, slashes, spaces, periods, parenthesis, hyphens, plus signs, and asterisks... but amongst it scans for a minimum of 7 digits (modify {7} to adjust the minimum number of required digits (i.e. 10 for area code + phone number, 18 for long international numbers). -- This pattern does not attempt to restrict the entered phone number format in any way, but instead just verfies that enough digits for one was entered. -- Data in excess of the 7 required digits is allowed. -- I've posted another submission that forces compliance for US phone numbers." version="0.1" statusCode="Draft" item="_wpUAY2_8Ee2zxv-8u0MlEA" displayName="Phone Number">
    <author href="../../../../talend.project#_pWdd0W_8Ee2zxv-8u0MlEA"/>
  </TalendProperties:Property>
  <TalendProperties:ItemState xmi:id="_wpUAYm_8Ee2zxv-8u0MlEA" path="Regex/phone"/>
  <dataquality.properties:TDQPatternItem xmi:id="_wpUAY2_8Ee2zxv-8u0MlEA" property="_wpUAYW_8Ee2zxv-8u0MlEA" state="_wpUAYm_8Ee2zxv-8u0MlEA" filename="Phone_Number_0.1.pattern">
    <pattern href="Phone_Number_0.1.pattern#_S7m6oIyhEd6Dle_8xC0lwg"/>
  </dataquality.properties:TDQPatternItem>
</xmi:XMI>
